Bug 998702 - Review Request: savanna-image-elements - Savanna diskimage-builder elements
Summary: Review Request: savanna-image-elements - Savanna diskimage-builder elements
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Peeler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 990279
Blocks: bigdata-review
TreeView+ depends on / blocked
 
Reported: 2013-08-19 20:01 UTC by Matthew Farrellee
Modified: 2019-08-19 18:33 UTC (History)
3 users (show)

Fixed In Version: savanna-image-elements-0.3-0.2.88511begit.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 18:33:19 UTC
jpeeler: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthew Farrellee 2013-08-19 20:01:27 UTC
Spec URL: http://matt.fedorapeople.org/pkg/0/savanna-image-elements.spec
SRPM URL: http://matt.fedorapeople.org/pkg/0/savanna-image-elements-0.3-0.1.d10ac16git.fc19.src.rpm
Description: Diskimage-builder (DIB) elements for building Savanna disk images.
Fedora Account System Username: matt

Comment 1 Jeff Peeler 2013-08-21 14:22:56 UTC
I'm assuming the license is the same as the parent project, but I'm not sure that can be assumed. Is everything on stackforge ASL?

The version field should be set to something more snapshot like maybe 0.2.1.d10ac16git (though I wouldn't argue about it if you knew for sure that the next release was going to be 0.3). The changelog needs to be fixed accordingly.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: savanna-image-elements-0.3-0.1.d10ac16git.fc17.noarch.rpm
savanna-image-elements.noarch: W: spelling-error Summary(en_US) diskimage -> disk image, disk-image, disparage
savanna-image-elements.noarch: W: spelling-error %description -l en_US Diskimage -> Disk image, Disk-image, Disparage
savanna-image-elements.noarch: W: incoherent-version-in-changelog 0.0.1-1 ['0.3-0.1.d10ac16git.fc17', '0.3-0.1.d10ac16git']
savanna-image-elements.noarch: E: script-without-shebang /usr/share/diskimage-builder/elements/swift_hadoop/post-install.d/81-add-jar
1 packages and 0 specfiles checked; 1 errors, 3 warnings.

(jpeeler) Would be nice to file upstream bug about missing shebang.


Rpmlint (installed packages)
----------------------------
# rpmlint savanna-image-elements
savanna-image-elements.noarch: W: spelling-error Summary(en_US) diskimage -> disk image, disk-image, disparage
savanna-image-elements.noarch: W: spelling-error %description -l en_US Diskimage -> Disk image, Disk-image, Disparage
savanna-image-elements.noarch: W: incoherent-version-in-changelog 0.0.1-1 ['0.3-0.1.d10ac16git.fc17', '0.3-0.1.d10ac16git']
savanna-image-elements.noarch: E: script-without-shebang /usr/share/diskimage-builder/elements/swift_hadoop/post-install.d/81-add-jar
1 packages and 0 specfiles checked; 1 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
savanna-image-elements (rpmlib, GLIBC filtered):
    /bin/bash
    diskimage-builder



Provides
--------
savanna-image-elements:
    savanna-image-elements



Source checksums
----------------
https://github.com/stackforge/savanna-extra/archive/d10ac1663e62b0df25c28f9757a0e978660df38f/savanna-image-elements-0.3-d10ac16.tar.gz :
  CHECKSUM(SHA256) this package     : 934df9b624bb07db35253f533ac7f971d7f30d6c76f83a3609ebe43cfda87edb
  CHECKSUM(SHA256) upstream package : 934df9b624bb07db35253f533ac7f971d7f30d6c76f83a3609ebe43cfda87edb


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 998702

Comment 2 Matthew Farrellee 2013-08-21 18:55:56 UTC
Re license, I've opened a review upstream for addition of a LICENSE file. It's ASL 2.0 like everything else in the Savanna project. https://review.openstack.org/43177

Re release number, Savanna released 0.2 in mid-July (https://lists.launchpad.net/openstack/msg25148.html) and is currently working on 0.3 (https://wiki.openstack.org/wiki/Savanna/Roadmap).

Re changelog, done. I wish I could find my old emacs bindings that autogenerated the changelog headers.

Re 81-add-jar, I've opened a review upstream to fix this. https://review.openstack.org/43178

I also fixed some mixed tab-whitespace in the spec and strange-permissions on the tarball.

If you're ok with it, I'd like to not carry spec patches for the upstream reviews and simply pull them in a future tarball. If you're not ok with that I'll produce the spec patches.


Spec URL: http://matt.fedorapeople.org/pkg/1/savanna-image-elements.spec
SRPM URL: http://matt.fedorapeople.org/pkg/1/savanna-image-elements-0.3-0.1.d10ac16git.fc19.src.rpm

Comment 3 Jeff Peeler 2013-08-21 19:15:02 UTC
Those patches aren't worth the trouble. Approved, submit the SCM request.

Comment 4 Matthew Farrellee 2013-08-21 19:21:48 UTC
New Package SCM Request
=======================
Package Name: savanna-image-elements
Short Description: Savanna diskimage-builder elements
Owners: matt jpeeler
Branches: f19 f20 el6
InitialCC:

Comment 5 Gwyn Ciesla 2013-08-22 12:29:09 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-08-22 13:10:28 UTC
savanna-image-elements-0.3-0.2.88511begit.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/savanna-image-elements-0.3-0.2.88511begit.fc19

Comment 7 Fedora Update System 2013-08-22 13:32:18 UTC
savanna-image-elements-0.3-0.2.88511begit.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/savanna-image-elements-0.3-0.2.88511begit.el6

Comment 8 Fedora Update System 2013-08-22 18:23:53 UTC
savanna-image-elements-0.3-0.2.88511begit.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 9 Fedora Update System 2013-09-03 22:23:46 UTC
savanna-image-elements-0.3-0.2.88511begit.fc19 has been pushed to the Fedora 19 stable repository.

Comment 10 Fedora Update System 2013-10-09 15:54:21 UTC
savanna-image-elements-0.3-0.3.88511begit.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/savanna-image-elements-0.3-0.3.88511begit.el6

Comment 11 Fedora Update System 2013-10-10 18:34:03 UTC
Package savanna-image-elements-0.3-0.3.88511begit.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing savanna-image-elements-0.3-0.3.88511begit.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11799/savanna-image-elements-0.3-0.3.88511begit.el6
then log in and leave karma (feedback).


Note You need to log in before you can comment on or make changes to this bug.